Module | YARD::Templates::Helpers::UMLHelper
In: | lib/yard/templates/helpers/uml_helper.rb

Helpers for UML template format

### Methods

format_path h tidy uml_visibility

### Public Instance methods

format_path(object)

Formats the path of an object for Graphviz syntax @param [CodeObjects::Base] object an object to format the path of @return [String] the encoded path

h(text)

Encodes text in escaped Graphviz syntax @param [String] text text to encode @return [String] the encoded text

tidy(data)

Tidies data by formatting and indenting text @param [String] data pre-formatted text @return [String] tidied text.

uml_visibility(object)

Official UML visibility prefix syntax for an object given its visibility @param [CodeObjects::Base] object the object to retrieve visibility for @return [String] the UML visibility prefix

[Validate]